# Uses of Interface
org.bukkit.conversations.ConversationAbandonedListener

Packages that use ConversationAbandonedListener
Package
Description
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.

## Uses of ConversationAbandonedListener in org.bukkit.conversations

Fields in org.bukkit.conversations with type parameters of type ConversationAbandonedListener
Modifier and Type
Field
Description
`protected List<ConversationAbandonedListener>`
Conversation.`abandonedListeners`
`protected List<ConversationAbandonedListener>`
ConversationFactory.`abandonedListeners`
Methods in org.bukkit.conversations with parameters of type ConversationAbandonedListener
Modifier and Type
Method
Description
`void`
Conversation.`addConversationAbandonedListener(@NotNull ConversationAbandonedListener listener)`
Adds a `ConversationAbandonedListener`.
`@NotNull ConversationFactory`
ConversationFactory.`addConversationAbandonedListener(@NotNull ConversationAbandonedListener listener)`
Adds a `ConversationAbandonedListener` to all conversations constructed by this factory.
`void`
Conversation.`removeConversationAbandonedListener(@NotNull ConversationAbandonedListener listener)`
Removes a `ConversationAbandonedListener`.